package com.example.jcef;

import me.friwi.jcefmaven.CefInitializationException;
import me.friwi.jcefmaven.UnsupportedPlatformException;

import java.awt.event.FocusEvent;
import java.awt.event.FocusListener;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.io.IOException;

public class Demo {

    public static void main(String[] args) throws InterruptedException, UnsupportedPlatformException, CefInitializationException, IOException {
        WebClient webClient = new WebClient();

        // 焦点事件监听
        webClient.addFocusListener(new FocusListener() {
            @Override
            public void focusGained(FocusEvent e) {
                System.out.println("获得焦点事件");
            }

            @Override
            public void focusLost(FocusEvent e) {
                System.out.println("丢失焦点事件");
            }
        });

        // 添加一个鼠标点击监听
        webClient.addMouseListener(new MouseAdapter() {
            @Override
            public void mouseClicked(MouseEvent e) {
                System.out.println("鼠标点击事件");
            }
        });

        // 添加一个鼠标点击监听
        webClient.addMouseListener(new MouseAdapter() {
            @Override
            public void mouseClicked(MouseEvent e) {
                System.out.println("鼠标点击事件");
            }
        });

        // 调用脚本
        webClient.executeJavaScript("console.log('java 调用 JavaScript')");

        // 打开地址
        webClient.loadUrl("D:\\wbProgram\\nginx-1.23.0\\html\\index.html");
//        webClient.loadUrl("http://10.10.10.23:8082/#/index?token=fd290104-1568-4c65-87eb-14aeb95aee59");
    }
}
